Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

FATAL ERROR : Failed to load function std@bytes_compare16 #259

Closed
Ilir-Liburn opened this issue Jun 15, 2019 · 6 comments

Comments

@Ilir-Liburn
Copy link

commented Jun 15, 2019

src\module.c(311) : FATAL ERROR : Failed to load function std@bytes_compare16

after rc.3 was installed

@kapep

This comment has been minimized.

Copy link

commented Jun 15, 2019

I get the same error with rc.3 when trying to run a simple 'hello world' application. Compiling and running it with rc.2 works fine.

OS: Windows 10
Haxe version (64 bit): 4.0.0-rc.3+e3df7a448
HashLink version: HL/JIT 1.9.0

@Gama11

This comment has been minimized.

Copy link
Member

commented Jun 15, 2019

You need HL 1.10.0 (not released yet).

I think alternatively, you can also compile with -D hl_ver=1.9.0.

@kapep

This comment has been minimized.

Copy link

commented Jun 15, 2019

I think alternatively, you can also compile with -D hl_ver=1.9.0.

Thanks, that worked!

@thatpanda

This comment has been minimized.

Copy link

commented Jun 26, 2019

I get the same error with rc.3 when trying to run a simple 'hello world' application. Compiling and running it with rc.2 works fine.

OS: Windows 10
Haxe version (64 bit): 4.0.0-rc.3+e3df7a448
HashLink version: HL/JIT 1.9.0

Thanks! I just started learning Haxe and ran into the same issue with the hello world example. Downgrading to Haxe 4.0.0-rc.2 worked for me.

@uvtc

This comment has been minimized.

Copy link
Contributor

commented Jun 27, 2019

I just upgraded to Haxe 4 rc3 (on Debian Testing, using the Linux 64-bit binary release) and hit this same error.

src/module.c(311) : FATAL ERROR : Failed to load function std@bytes_compare16

Searched and found this issue. Downgraded, installing Haxe 4 rc2 (again, the binary release), and works now.

@ncannasse

This comment has been minimized.

Copy link
Member

commented Jul 7, 2019

4.0 RC3 by default uses HL 1.10 , you can compile with RC3 for HL 1.9 by adding -D hl_ver=1.9.0
I'll release HL 1.10 now.

@ncannasse ncannasse closed this Jul 7, 2019

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
6 participants
You can’t perform that action at this time.